> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/containers/tabcontrol/wisej.web.tabalignment.md).

# TabAlignment

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the locations of the tabs in a tab control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum TabAlignment : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum TabAlignment As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                      |
| ---------- | ---------------------------------------------------------------- |
| **Bottom** | The tab buttons are located across the bottom of the control.    |
| **Left**   | The tab buttons are located along the left edge of the control.  |
| **Right**  | The tab buttons are located along the right edge of the control. |
| **Top**    | The tab buttons are located across the top of the control.       |

## Used By

| Name                                                                                                                                       | Description                                                                                         |
| ------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------- |
| [TabControl.Alignment](/api/wisej.web/containers/tabcontrol.md#alignment)                                                                  | Returns or sets the area of the control (for example, along the top) where the tabs are aligned.    |
| [MdiTabProperties.Alignment](/api/wisej.web/containers/form/wisej.web.mditabproperties.md#alignment)                                       | Returns or sets the area of the control (for example, along the top) where the tabs are aligned.    |
| [TabControlExtensions.Alignment](/api/wisej.web.markup/extensions/wisej.web.markup.tabcontrolextensions.md#alignment-tabcontrol-alignment) | Sets the Alignment property of the specified [TabControl](/api/wisej.web/containers/tabcontrol.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/tabcontrol/wisej.web.tabalignment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
